Loading...
Searching...
No Matches
unpacked_to_packed.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/endianness.h>`
`#include <cstdint>`
Include dependency graph for unpacked_to_packed.h:

Go to the source code of this file.

## Classes

class | gr::blocks::unpacked_to_packed< T >
| Convert a stream of unpacked bytes or shorts into a stream of packed bytes or shorts. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef unpacked_to_packed< std::uint8_t > | gr::blocks::unpacked_to_packed_bb
typedef unpacked_to_packed< std::int16_t > | gr::blocks::unpacked_to_packed_ss
typedef unpacked_to_packed< std::int32_t > | gr::blocks::unpacked_to_packed_ii